package com.ywt.outpatient.api.req;

/**
 * @author Walker
 * Created on 2019/12/26
 */
public
class CreateOPOrderReq {
    private String deptName;
    private String doctorName;
    private int totalFee;
    private int medInsFee;
    private int selfFee;
    private String patientId;
    private String hisClinicCode;
    private String hisOrdNum;
    private String payName;
    private String prescriptionDate;
    private String patName;
    private int age;
    private int sex;
    private String orderInsType;
    private String invoiceNo; //发票号
    private String doctorCode; // HIS 医生 id
    private Integer payInsType;// 支付医保类型
    private String insuAdmDr;// 医保登记RowiD
    private String insUploadFeeResp;// 上传费用接口返回数据
    private Integer consumeType;// 医保部分扣费类型。默认为 0：统筹+个账 1：个账 2：统筹

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public int getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(int totalFee) {
        this.totalFee = totalFee;
    }

    public int getMedInsFee() {
        return medInsFee;
    }

    public void setMedInsFee(int medInsFee) {
        this.medInsFee = medInsFee;
    }

    public int getSelfFee() {
        return selfFee;
    }

    public void setSelfFee(int selfFee) {
        this.selfFee = selfFee;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getHisClinicCode() {
        return hisClinicCode;
    }

    public void setHisClinicCode(String hisClinicCode) {
        this.hisClinicCode = hisClinicCode;
    }

    public String getHisOrdNum() {
        return hisOrdNum;
    }

    public void setHisOrdNum(String hisOrdNum) {
        this.hisOrdNum = hisOrdNum;
    }

    public String getPayName() {
        return payName;
    }

    public void setPayName(String payName) {
        this.payName = payName;
    }

    public String getPrescriptionDate() {
        return prescriptionDate;
    }

    public void setPrescriptionDate(String prescriptionDate) {
        this.prescriptionDate = prescriptionDate;
    }

    public String getPatName() {
        return patName;
    }

    public void setPatName(String patName) {
        this.patName = patName;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public int getSex() {
        return sex;
    }

    public void setSex(int sex) {
        this.sex = sex;
    }

    public String getOrderInsType() {
        return orderInsType;
    }

    public void setOrderInsType(String orderInsType) {
        this.orderInsType = orderInsType;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public Integer getPayInsType() {
        return payInsType;
    }

    public void setPayInsType(Integer payInsType) {
        this.payInsType = payInsType;
    }

    public String getInsuAdmDr() {
        return insuAdmDr;
    }

    public void setInsuAdmDr(String insuAdmDr) {
        this.insuAdmDr = insuAdmDr;
    }

    public String getInsUploadFeeResp() {
        return insUploadFeeResp;
    }

    public void setInsUploadFeeResp(String insUploadFeeResp) {
        this.insUploadFeeResp = insUploadFeeResp;
    }

    public Integer getConsumeType() {
        return consumeType;
    }

    public void setConsumeType(Integer consumeType) {
        this.consumeType = consumeType;
    }
}
